<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/branches/maintain-3/includes.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Daniel Robert <robert@osuosl.org>                             |
// +------------------------------------------------------------------------+
// $Id: includes.php 4705 2006-08-08 20:20:18Z wenzel $

// let's get a reference point for including
//$maintain_path = dirname(__FILE__);

$conf = array();

// include maintain-wide constants
require_once("constants.inc");

// set up using pear packages shipped with maintain
// (both following commands should do the same. Pick one...)
set_include_path(LIBDIR.'/php/pear/share/php' . PATH_SEPARATOR . get_include_path());
//ini_set('include_path', LIBDIR.'/php/pear/share/php' . PATH_SEPARATOR . ini_get('include_path'));

// everything in maintain relies on /includes/lib.php
require_once(INCLUDEDIR.'/lib.php');

// we utilize PEAR_Errors
require_once('PEAR.php');

// enough things require IP, that we'll add it here too
require_once(CLASSDIR.'/ip.php');

// same for the main email class which allows errors to be mailed to the admin
require_once(CLASSDIR.'/email.php');

// get the root DAO objects
$files = get_files(DAODIR, false, true);

// we cannot include any extended DAO objects if
// the base DAOs do not exist. So don't do anything
// unless lib.php's daos_exist() is true.
if (daos_exist()) {
    get_files(DAOEXT, false, true);
}

// we need configured db_dataobjects to get the modules list
setup();

// get some modules
require_once MODDIR.'/includes.php';


?>
